Cover Page

StarPilot-PC Manual

Manual Copyright © 2002, Luis Soltero, Ph.D.

StarPilot, LLC

2668 Jericho Rd, Maryville, TN 37803

Tel: 865-370-8723, Fax: 865-681-5017

www.starpilotllc.com

info@starpilotllc.com


QUICK START INSTRUCTIONS

This User's Guide is specific to the StarPilot-PC (SP-PC) and closely resembles the version of the documents created for the calculator based products StarPilot-86 (SP-86) and StarPilot-89 (SP-89). If you are familiar with the workings of SP-86 or SP-89 then you will feel right at home with SP-PC. If you are new to the product line then you will find SP-PC intuitive and easy to use.

The quick start instructions are intended to get users familiar with celestial navigation and the "Starpath" approach to navigation off to a runnig start. If you are new to celestial navigation you may consider reading the manual starting at the "Introduction" found in the next section. Many examples and additional documentation for StarPilot can be found at our web site. Please visit the StarPilot home page at http://www.starpath.com/catalog/accessories/1863.htm for a detailed discussions on many celestial topics.

We at Starpath are proud to bring this product to you and feel confident you will find StarPilot an invaluable navigational tool.

Menu Structure and Main Window Features...

All StarPilot features can be accessed through the applications menus located at the top of the main window or via the tool bar below the menus. The menus are broken down into basic categories; File manipulation, program options (Edit), DR and Piloting functions, and Celestial Navigation calculations. The most common functions are accessible via icons on the tool bar. Icons on the toolbar are a pictorial representation of the function they invoke. Running the cursor over the toolbar icons will popup a short textual description of the calculation tied to it. File manipulation actions are accessed via the File menu while the Edit menu contains actions which store and set values used by the program such as Date and DR position.

StarPilot's main screen by default displays a star field with the "Arc to Arcturus" and a Starpath watermark. This screen is used to display graphical output by some of the StarPilot functions. Graphical routines such as "Plot LOPs" display their graphics on the screen and then wait for user input. While the graphical routines are running a help string is displayed at the bottom of the screen informing the user of expected input. Once the graphical routine is exited the StarPilot main screen reverts to the star field.

Upon selecting a function via a menu entry or a toolbar icon, StarPilot pops up a customized data entry dialog box. Once all data is entered hitting the [COMPUTE] button produces the result. For example, Selecting the "Moon" icon displays the moon rise and moon set dialog..

Enter angles as deg.min (d.m), i.e.

48.325 = 48° 32.5'

N Lat & E Lon are +, S Lat & W Lon are - i.e. 122° 14.2' W = -122.142. A Lat or any angle like 12° 5.3' must be entered as 12.053, the leading 0 is important.

Enter times as hr.minsec (h.ms), i.e.

12.3247 = 12h 32m 47s

On output they are displayed as 12:32:47. Note that sometimes you might enter a time of 19.2100 and then see the display as 19:20:60.

StarPilot uses "watch time" (WT) for all events and book keeping. For celestial computations, GMT is obtained from:

GMT = WT + WE + ZD,

where ZD is the zone description of the watch and WE is the watch error. If WE = 0 and ZD = 0, then WT = GMT which is the same as UT or UTC. All times are 24h, i.e. 2 min and 5 sec past 2pm = 14.0205. WE and ZD are entered in the Settings dialog. WE is in seconds, ZD in whole hours, + for West, -East, but we do not enter the + sign but we must enter the negative.

All fixes are running fixes, so course and speed must be entered if underway. You will be prompted for these when needed.

Old routines, new manual...

The basic computations and mathematical routines of the StarPilot have been tested for many years now, but each each new edition of this User's Guide presents us with new opportunities for typos as we add new features to the program or improve its interface. If you run across typos, errors, or unclear sections, please drop us a note at info@Starpath.com. We will address the issue immediately, and update the online version.

To update to a newer version of StarPilot...

First download the latest version of the StarPilot from http://www.starpath.com/catalog/accessories/starpilot/download.htm and save it to your Desktop. Then use the Add/Remove Software icon in the control panel to remove the old version of StarPilot. Finally, install the updated version by double clicking the sp-pc.exe program downloaded in the step 1. Note that StarPilot provides a quick way to get to the download page under the "Help->Software Updates on the Web" menu.

Support on the Web...

Technical support for StarPilot is available on the web at http://www.starpath.com/catalog/accessories/sp_help.htm. This informative page discusses StarPilot examples and features. Help on the web is also available by clicking the "Help" menu then "Tech Support on the Web" from the StarPilot Help menu.

Quick Start Examples

In the following pages we start immediately with some numerical examples for those with experience with such computations. As needed, postpone these and skip to the more detailed explanations which follow these.

Some users, however, prefer to record and analyze all sights using only GMT. In these cases we must be careful about the date since it could change or not change within a series of sights or during a long running fix depending on our longitude. To accommodate this approach, we now store the date of each sight reduction along with the other data, which means that unless the date is stored in the settings, it will be requested at each sight reduction and again when computing a fix from that set of sights. The example below will illustrate the modification. You may prefer to read through the rest of the Guide before going over this example.

Example of Running fix using GMT and date

Sight 1.

22h 05m 10s on Apr 14, 2000 GMT, DR = 40° 58'N, 135° 20'W, S = 8.0 kts, C = 225 T, lower limb sun Hs = 55° 31.2', HE = 9 ft, IC = 1.5' On.

Sight 2.

01h 36m 02s on Apr 15, 2000 GMT, DR = 40° 38'N, 135° 46'W, S = 8.0 kts, C = 225 T, lower limb sun Hs = 22° 36.2', HE = 9 ft, IC = 1.5' On.

Solution:

(1) First Set defaults under the "Edit" menu, so all start the same way. If the "Set Defaults" menu entry is grayed out then the StarPilot is in the default state.

(2) From the "Celestial" menu select "Sight Reduction...". Then input the data from sight 1 as shown below:

Date input for Sight Reductions and Fixes

Earlier versions of the program assumed that celestial fixes were made from data on the same date, since we assumed most users would choose to use the optional Zone Description input and thus be using effectively local time for the sights. In practice this is still the most convenient means of sight reduction since you can store the Watch Error and thus correct all sight times automatically at the input.

This first sight yielded an LOP of a = 4.0' Away from 208.8, based on an assumed position equal to the DR position we entered. The a-value was valid at the time and date we entered.

Now from the "Sight Reduction" dialog, select Sun again and enter the data for Sight 2, as shown:

This is an LOP of 5.8' Away from 263.2, again based on the DR position and time we entered. To get a fix from these, we must now advance the first to the second with the course and speed. This is done from the "Celestial Fix" menu under "Fix by Computation".

The calculator will first ask for a DR position. It does not matter which you use, but generally one would choose the DR position that corresponds to the Fix time that you will be asked for since these two positions are automatically compared at the end of the computation. A fix time rounded off to something near the time of the last LOP might be reasonable (i.e. 0136 GMT on 4/15/00). The input and results are as follows:

The running fix is at 40° 39.5'N, 135° 38.5'W. From the entered DR position, you would get to this fix by traveling 5.89 miles in direction 075T, that is how much the DR was off. The update DR button places this last fix position into the stored DR location in settings for further future use.

How StarPilot handles Times

StarPilot performs all time functions using "Watch Time" (WT) which differs from GMT by a Watch Error and a Zone Description: GMT = WT ± WE + ZD. These two offsets from GMT, or UT as it is now called, are entered under the "Advanced" tab the "Settings" dialog. Set Defaults puts both of these equal to zero so that WT = GMT. If you have a ZD other than zero set, then many of the time-dependent answers will be labeled as being valid at, for example, GMT-8 for times in PST or ZD = +8. If you prefer GMT only, then set defaults and leave ZD and WE = 0.

Same running fix using local or other time zone and other shortcuts.

Suppose in the last example we kept all clocks set to ZD = +7 corresponding to PDT as we sailed across. Now we work the same set of sights using this option, plus a couple other shortcuts.

Sight 1.

15h 05m 10s on Apr 14, 2000 (ZD=7), DR = 40° 58'N, 135° 20'W, S = 8.0kts, C = 225 T, lower limb sun Hs = 55° 31.2', HE = 9 ft, IC = 1.5' On, WE = 0.

Sight 2.

18h 36m 02s on Apr 14, 2000 (ZD= 7), lower limb sun Hs= 22° 36.2', HE = 9 ft, IC = 1.5' On, WE =0. Note we have Watch error = 0 and we do not yet know the DR at the second sight, but course and speed are the same.

Set defaults ("Edit->Set Defaults"), then under "Edit->Settings" in the "Advanced" tab, enter ZD = 7 and WE = 0. Under the "General" tab also set IC = -1.5' , HE = 9.0 ft, limb = Lower. Then set the date in as day = 14, month = 4, year = 2000.

Then set DR Lat = 40.58 and DR Lon = -135.20. Then go to the "DR Parameters" tab and set DR mode = Speed, which will ask for DR time = 15.0510, Course = 225, and Speed = 8.0. Now check with setting "Edit->View Settings" to verify that all is set right.

Which is what we wanted.

Then do the first sight reduction, but note you will only be asked for the time and Hs and then will get the same LOP.

Now go to the "DR and Piloting" menu, select Update DR, and enter the time of the second sight.

Pushing the [Compute] button while the "Update DR" check box is checked will update the stored DR in the settings for use by the sight reduction proceedure in the next screen.

Now we do the second sight and arrive at the same LOP we got before (very slightly different since we have a slightly different DR). Peforming the Celestial Fix we see the same answer as before.

The logical next step is to update the DR and then carry on with the navigation. The running fix is now complete.

This illustration of using stored values is not so much shorter in this particular example, but note we have only 2 sights here. Normally you would have (or should have) 4 or 5 sun sights at each sight session, and then this method is very much quicker. Note, too, how the DR function is incorporated into the sight routine automatically, and we do not have to re-enter that position. We could also update the DR using log settings (set DR mode = log).

We could also have updated the DR after a series of course and speed changes if these had been made between the two sets of sights, but if that were the case, then when doing the fix itself, one should use the speed made good and course made good between sight sessions when "course" and "speed" are asked for.


INTRODUCTION

Disclaimer

This sight reduction procedure is provided to the sailing community on an AS IS basis. No warranty of any kind, including MERCHANTABILITY or FITNESS FOR PURPOSE, is made with regard to this software. Although the author has made every effort to comply with equations and methods described in the explanation section of the Nautical Almanac and other sources, no guarantees are made concerning the accuracy of this sight reduction procedure. The author or Starpath, or any of their agents or resellers shall not be liable for any errors or for incidental or consequential damages in connection with the furnishing, performance, or use of this software. Please use this product at your own risk.

Data Representation

Periodically StarPilot will prompt you for data such as the time of a sight, DR latitude or longitude, GHA, SHA, and Declination. The format used to enter these and other values depends on the type of data to be entered.

All time values are entered in hour-minute-second (h.ms) format. This is accomplished by entering the time values as numbers in the following format hh.mmss where the hh corresponds to hour portion of the time and the .mmss correspond to the minutes and seconds. Note that 2 digits must be used to represent each of the minutes (mm) and seconds (ss) fields. For example the time corresponding to 15h 5m 42s is entered as 15.0542.

On the other hand, times are displayed in the hh:mm:ss format. For example, a time entered as 17.0822 would then be displayed as 17:08:22, and the various times computed by StarPilot are displayed in that format.

Compass bearings, courses, and heading data are entered in ddd.d format. That is, three digits and a decimal - the decimal is optional. Leading zeros (i.e. 090) are optional but recommended.

Sextant altitude (Hs), latitude, longitude, GHA, SHA, and declination (DEC) values are entered in ddd.mmm format, which we abbreviate as "d.m" format. For example the value 34° 55.2' is entered as 34.552, 34° 5.1' as 34.051, and 35° 0.6' as 35.006.

Index Correction (IC) is entered as decimal minutes (mm.m) format, i.e. an index error of -3.3' is entered as -3.3. When entering IC, values should have a minus (-) for "on the scale" errors and no sign (i.e. implicit +) for "off" errors. Horizontal Parallax (HP) and Additional Planet Correction (PCORR), used in some specialized applications, are also entered as mm.m.

Resultant data, such as computed altitude (Hc), azimuth (Zn), and time, are also displayed in d.m format. Unlike the data entry format above, you will see results displayed as nnn° nn.n'. All resultant values are displayed in this format with a few exceptions such as the intercept which is displayed in nautical miles (nm).

The following sign conventions apply when entering data. Positive values for LAT, DEC and LON are entered for North and East. Negative values for LAT, DEC and LON are entered for South and West. A positive intercept is considered to be TOWARDS the sighted body while a negative intercept value is considered to be AWAY.

Note, however, that we do not use the "+" sign for entering positive numbers. Values entered into the calculator are assumed to be positive unless a "-" is entered before the value. Entering a "+" will cause an error.

The year of an event should always be entered in full 4-digit format 1998, not 98. Valid values for day are 1 through 31, and 1 through 12 for month. StarPilot will happily complete sight reductions for the year 98 AD, without blinking, so be sure to use the full date you want. Other than that obvious caution, there are no so-called Y2K concerns with this product.

StarPilot Operation

All StarPilot features can be accessed through the applications menus located at the top of the main window or via the tool bar below the menus. The menus are broken down into basic categories; File manipulation, program options (Edit), DR and Piloting functions, and Celestial Navigation calculations. The most common functions are accessible via icons on the tool bar. Icons on the toolbar are a pictorial representation of the function they invoke. Running the cursor over the toolbar icons will popup a short textual description of the calculation tied to it. File manipulation actions are accessed via the File menu while the Edit menu contains actions which store and set values used by the program such as Date and DR position.

StarPilot's main screen by default displays a star field with the "Arc to Arcturus" and the Starpath watermark. This screen is used to display graphical output by some of the StarPilot functions. Graphical routines such as "Plot LOPs" display their graphics on the screen and then wait for user input. While the graphical routines are running a help string is displayed at the bottom of the screen informing the user of expected input. Once the graphical routine is exited the StarPilot main screen reverts to the star field.

Upon selecting a function via a menu entry or a toolbar icon, StarPilot pops up a customized data entry dialog box. Once all data is entered hitting the [COMPUTE] button produces the result.For example, Selecting the "Moon" icon displays the moon rise and moon set dialog..

Resetting Factory Defaults

At times it may be desirable to reset your program to a known state. This can easily be accomplished running the program and selecting "Set Defaults" from the "Edit" menu.

The StarPilot comes prepackaged with a set of reasonable results. The Resetting Factory Defaults section of the manual discusses these settings in greater detail. It is possible to customize the default settings with "Make Default Settings". "Make Default Settings" takes the values stored into the current settings and stores them to the registry. Future calls to "Set Defaults" will extract the customized values stored in the registry and write them into the program default values. Caution: once you execute a "Make Default Settings" there is no easy way to recover Starpath's default settings. To recover the Starpath defaults you will have to look closely at section Resetting Factory Defaults, enter the default entries manually, and then execute a "Make Default Settings".

There are many optional settings in the StarPilot so you may want to use this process at some point to get reoriented. See section Resetting Factory Defaults for details, including a complete list of the specific values of the default settings.

File Operations

The "File" menu can be used to store and retrieve sight data from files stored on the computers disks. When storing data to a file, StarPilot stores the current sight array with all sight data stored in memory as well as a copy to of the settings. It is important to note that sights are not stored individually but as a set with all the parameters required to evaluate them at a later date.

Data is stored by default in files with the ending ".sp". Double clicking these files from the Desktop or from Windows Explorer will automatically execute StarPilot and initialize it with the data stored in the file.

The currently active file is displayed in the windows title bar at the very top of the application window.

View Menu

The view menu can be used to hide/display the StarPilot tool bar and/or the help message at the bottom of the main window.

"View Settings..." displays a compact list of the current values stored in the global application settings. The [EDIT] button at the bottom of the dialog invokes the settings dialog editor to change the one of more of the values. See Review Sights for more

details.


Settings

The settings dialog is used to store semipermanent data that is to be used in your calculations. Values stored here are used to pre-initialize data inputs in many of the dialogs. Settings dialog can be invoked from the "Edit" menu in the main application window, the settings toolbar icon, the [EDIT] button in "View Settings", or from "Sight Planner" dialog.

The following is a discussion of each settings parameter ordered by tab name in the Settings dialog.

Setting and Making Defaults

View Settings

General Settings

Advanced Settings

DR Parameter Settings

Planner Control Settings


Resetting Factory Defaults

Resetting Defaults

The Set Defaults function under the Edit menu will set the values stored in the global settings to a known state. Unless "Make Default Settings" has been executed at some previous point, the following actions will take place. Note that it's possible to store your own defaults by executing "Make Default Settings". This last function takes the current values stored in the settings and writes them into the Windows registry for later retrieval by "Set Defaults".

Note that StarPilot also writes the current settings to a file when the Save or Save As function under the File menu is selected. When restoring a file with the Open function the settings are restored back to the state prior to the original save.

· The internal date is cleared.

· DR Lat/Lon in memory is erased.

· Dest position in memory is cleared.

· DR mode set to OFF.

· Body limb is set to LOWER.

· Dip mode is set to NORMAL.

· Index error is set to 0.

· Height of eye is set to 0.

· Units are set to °F, mb, and ft.

· Temperature is set at 50° F.

· Pressure is set to 1010 Millibars.

· Magnetic variation set to 0.

· ZD is set to 0.

· Watch Error is set to 0.

· Course, Speed, Log each set to 0.

· Hc min/max / Mag cutoff set to 0° / 90° / 2.

· PC Mode is set to NORMAL.

· SR mode is set to RANDOM.

· Max number of sights is set to 15.

· All sights stored are cleared.

· Find sights is disabled in the sight planner.

· In planner control step = 8, slop = 16, grid wt = 0.7, mag wt = 0.2, Hc Wt = 0.1


View Settings (user defined constants)

View Settings

This option steps you through the full list of all settings. Here are an example of what you might see when there is 3 sights stored in the program -- these are from the Sight Reduction examples.


General Settings

The general settings tab is used to set default values for the most commonly used inputs. Follow the links to read about each input.

Date

DR Lat / Lon and Dest Lat / Lon

Index Correction

Height of Eye (HE)

Limb


Date

The date is used to identify celestial sight times as well as the current DR position, and for sight planning. The date to enter is the date on your watch that you are using for the sight times. If using GMT time, use GMT date, and if local time, use local date.


DR Position

The stored date and DR position will be assumed as the current date and DR position in all calculations and StarPilot will therefore place these values as defaults in all dialogs requiring this input.


Destination Position

This position is used for routing computations and for an automatic update of range and bearing to destination at the end of each fix. It can be very convenient to have it stored to save entering it for every update.


Index Correction

Enter the IC in minutes of angle, positive when OFF the scale, and negative when ON the scale, i.e. -2.5. The stored IC is used in sight reductions and all other computations requiring this input. By initializing this setting the value stored here is used a default in dialogs needing this value.


Height of Eye (HE)

The height of eye is entered in feet or meters depending on how you selected the units. Units an be entered in feet or meters by simply selecting the appropriate radio button.


Limb

The default limb for sun and moon sights is stored here. Normally this would be the Lower Limb.

Note that instead of Lower or Upper you can also enter Center here and compute to the center of the body if you have use for that information. This option can be used for some artificial horizon sights where the direct and reflected images are superimposed in the sextant.

Naturally, if you have Lower limb stored here and then choose to do an upper limb sight, then this setting must be changed for that sight...


Advanced Settings

The advanced settings tab is used to set default values for more advanced features. Note StarPilot will use these values with out; then prompting the users for them. It is important to set these values correctly since you will not be able to change then while doing a computation. Follow the links to read about each input.

Temperature and Pressure

Maximum No. of Sights

Local Magnetic Variation

Dip Mode for Dip Short

UT Offsets (ZD / WE)


Temperature and Pressure

Enter temperature and pressure in the corresponding boxes making sure to select the appropriate units.

Extreme variations in temperature and pressure affects the magnitude of the atmospheric refraction correction. Valid temperature and pressure settings should be entered if low-altitude sights are to be taken in extreme conditions. StarPilot default values are 1010 millibars and 50°F — which correspond to "no additional corrections" data from the Nautical Almanac.


Maximum No. of Sights

StarPilot has memory enough to store an unlimited number of celestial sights. With this setting you can limit this maximum number, which might help with your bookkeeping and prevent slowing down data review and some computations. Also note that a Running Fix uses all stored sights, so if you end up with more than you want in the list, the results may be wrong or not optimum.

To set this option, simply type in the desired number at the prompt. By default the calculator keeps track of the last 60 sights. If a sixty first sight is taken then the first sight in the sequence is discarded. Note that the order of the sights is important. When replacing sights it is not the oldest sight (time wise) which is discarded but the sight which was reduced the earliest. Sights are numbered in the list. With a max set to 15, when #16 is entered, #1 is discarded and #2 becomes #1, and your new one becomes #15.


Local Magnetic Variation

StarPilot by default displays and queries bearing data in True format. Changing the default value of the magnetic variation causes the program to display and prompt for data in magnetic compass bearing format. The only function which does not compensate for magnetic variation is the Great Circle which only displays values in true format. All prompts for bearings and heading displays will contain a (T) for true or an (M) for magnetic depending on the state of the magnetic variation value.

To change the default the local magnetic variation from 0° to 7° W simply execute the menu entry and enter the requested data making sure to select the West.


Dip Mode for Dip Short

"Normal" is the usual choice corresponding to typical sights using the true sea horizon, or more specifically, using the visible horizon as cut off by the actual curvature of the earth.

When using a shoreline beneath the sighted object as a horizon instead of a proper sea horizon, the dip correction must often be figured in a special manner, called "Dip Short." This method is required whenever we are actually seeing the shoreline and not the true curvature of the earth. Dip short depends on the Height of Eye and the distance to the shoreline directly below the object sighted.

To decide if dip short is needed, compare the square root of HE in feet with the distance to the shoreline in nautical miles. If the latter is larger than the former, then you are indeed seeing the curvature of the earth cut off the shoreline and you can do sight reductions in the normal manner. If this is not the case, then you should use Dip Short (i.e. set dip mode = short), and the StarPilot will prompt you for the necessary extra input when doing sight reductions.

Dip short is very useful for sextant practice on inland waters, even rather small lakes. It is usually much better to practice this way than to use an artificial horizon. For practice, the general procedure would be to take the sights, then figure Zn from the sight reduction, then return to the chart and from the known practice location and Zn you can determine the necessary distance to the shoreline.

Underway dip short can also, though rarely, be of value if you happen to get close to shore but do not know where you are and the only sextant sight is of the sun or moon over nearby land. Please refer to Bowditch (or other piloting sources) for various piloting techniques used to figure distance off shore even without knowing where you are.


UT Offsets (ZD \ WE)

UT Offsets (ZD / WE)

StarPilot navigates using "Watch Time" (WT), which is defined from: UT = WT +WE +ZD, where WE is the watch error (fast is -) and ZD is the zone description (east is -). The total UT offset (WE + ZD) is entered in this setting in two steps by entering the values into the corresponding boxes in the dialog. Note that for computations done by the StarPilot there is no distinction between UT and GMT.


DR Parameter Settings

This dialog is used to control the StarPilot's automatic DR update feature. Follow the links to learn more about entering data in this dialog.

Setting the DR mode

Course and Speed


Setting the DR mode

The DR mode determines how the Update DR function operates as well as several others. StarPilot has 3 DR modes: Off, Speed & Time, or Log. The default mode is "Off" which means that all functions that use course, speed, or time will prompt for the values needed to complete the computations. This is a "normal" or "non-interfaced" mode. It is simple and easy to use, but not the most efficient.

The Speed and Time mode (abbreviated Speed) assumes the traditional method of doing DR by speed and time. That is, the log book records positions and course changes by the time of the event, and also records the active speed.

When in the DR mode = Speed, each DR position stored in the calculator is associated with a specific time and speed. In this mode, you can update the DR by simply telling StarPilot the next time you care about. It knows the time of the last DR position, your course and your speed, so it can compute the new DR and store it.

The "Log" mode assumes you are keeping DR records by Log reading. This works like the Speed mode, but to update DR you simply input the next log reading you care about.

With these two modes we can project our present position into the future two ways: by either telling StarPilot we ran 45.8 miles on our course (Log mode), or that we ran for, say, 12h 30m on our course at whatever our speed is (Speed mode). It is also simple to switch back and forth between modes to select the one that is most convenient for the task at hand.

These computations can be made as part of our ongoing navigation or as a simple navigation computation. Once the computation is done, you have the choice of updating the stored DR with that result or just abandoning it.

If you choose to update DR after the computation,
then the DR Lat and Lon stored will be changed to these new values. In Off mode, that is all that happens. In Log mode, the DR Log is updated and in Speed mode, the DR clock is updated.

With this function, you can almost literally type your log book into the StarPilot, line by line, and figure the final DR position, just entering the new course and or speed as you come to them.

To get started, whenever executed, the DR mode function first prompts for the desired DR mode and then automatically enables the Course/Speed entries in the dialog. Set the appropriate course, speed, DR Log, and DR Time depending on the mode.

The most common mode to use will most likely be the Speed and time mode, unless you specifically use log readings or distance run to figure a new position. We include the log mode since this is indeed the most accurate way to keep DR records underway in small-craft at sea - that is, at each course change we record the log reading, since this is a more accurate measure of our progress than the corresponding time and speed.

See the Update DR function under the DR-and-Piloting menu for more information on DR tracking and updating.


Course and Speed

The Course/Speed entry in the Advance Settings dialog is used to set the vessel's Course and Speed needed for the DR function.

The course will be requested with a (T) or (M) for true or magnetic depending on whether or not the magnetic variation has been set to a non-zero value in. By definition, a zero variation is a true course. You can change this back and forth as you see fit.

These values of Course and Speed are used automatically for DR updates, but when it comes time to evaluate a running fix, you will be asked to enter these for each fix so you are certain that the proper values are entered for the fix computation. In principle you could be doing a routine DR computation with one set of values, but then want to use some effective CMG or SMG for evaluating sights with course changes made during the sight sequence. (The Traverse table function is a convenient way to figure CMG over a series of course changes.)


Planner Control Settings

Planner Control

The planner control settings dialog is used to set parameters that control the searching of bodies in the almanac for display in the sight planner. These parameters also control the automatic Find Sights feature of the sight planner which automatically selects the best bodies in the sky to shoot to obtain the best possible fix.

Hc Max/Min

Find Sights Control

Step

Slop

Grid Wt

Mag Wt

Hc Wt


Hc Min, max, # Cutoff

Hc Min, Max, Mag Cutoff

Hc-min and Hc-max are used to set limiting values for the body search routines used in the Sight Planner and Star/Planet ID . Bodies with altitudes greater than Hc max and smaller than Hc min will not be displayed. The default magnitude cutoff is 2, which means the Sight Planner will stop looking for stars and switch to planets once it finds a star with magnitude greater (i.e. dimmer) than 2. The sight planner searches for stars in order of Brightness. Only stars brighter than the magnitude cutoff will be displayed.

The default values for Hc are 10°, 85°, but for use underway, settings of 10°, 80° might be better. Lower sights have a larger uncertainty due to refraction uncertainties and sights higher are more difficult to take and require a more careful analysis.

Likewise, although 2. will usually get all the bright stars you need, sometimes their will not be enough there and you will have to go higher, but more often you can get by with a lower number maybe just 1.8 or so. Once you optimize this, it will typically be the same for many nights on a voyage.


Find Sights Control

The find sights control enables or disables the automatic find sights feature of the sight planner. When OFF the sight planner will display all bodies which match the search criteria. When the control is set to something other than off then only the selected bodies will be displayed and a sequence of best 3 bodies to shoot is displayed on the sight planner screen. Selecting "Stars Only" will cause the sight planner to display and compute best sights only on stars. The other selections simply change which bodies to display and compute best sights for.

See the sight planner page for more information on the use of this function.


Step

The sight planner invokes the optimizer after sets of bodies have been found that meet the almanac search criteria defined above. The optimizer then lays a grid consisting of 3 lines that meet at the center of the sky projection and extend towards the horizon at approximately 120 degrees apart. Stars that fall close to the grid are considered as possible candidates for running fix triads.

The Step parameter controls the coarseness in degrees of grid as it "steps through the sky" from 0,120,270 degrees to 120, 270, 360. For example a Step of 8 would define grids at (0,120,270), (8, 128, 278), (16, 136, 286), etc. Decreasing the step value increases the computational and memory demands of the operation which results in longer compute times while increasing the step speeds things with a possible loss in accuracy.


Slop

The sight planner invokes the optimizer after sets of bodies have been found that meet the almanac search criteria defined above. The optimizer then lays a grid consisting of 3 lines that meet at the center of the sky projection and extend towards the horizon at approximately 120 degrees apart. Stars that fall close to the grid are considered as possible candidates for running fix triads.

The Slop parameter controls the distance in degrees a given body must be from the grid before it will be considered as a member of a triad. In order to find all possible triads the Slop factor must be at least 2 times greater than the step. Increasing the slop factor by more than 2x the step yields a larger number of duplicate triads that must be removed before the optimizer analyzes the triads. Decreasing the value may result in the optimizer missing some triads.


Grid Weight

The sight planner invokes the optimizer after sets of bodies have been found that meet the almanac search criteria defined above. The optimizer then lays a grid consisting of 3 lines that meet at the center of the sky projection and extend towards the horizon at approximately 120 degrees apart. Stars that fall close to the grid are considered as possible candidates for running fix triads.

After all possible triads have been located the optimizer weights them to their optimal sight and running fix performance. Grid Wt, Mag Wt, and Hc Wt are parameters that control the "goodness" of a sight triad. Grid Wt controls how close a set of bodies must to the grid to be considered "good". A value of 1 indicates that the grid factor is very important while a value 0 indicates that any triad is good as long as the bodies lie within the "slop" factor from a grid.


Magnitude Weight

The sight planner invokes the optimizer after sets of bodies have been found that meet the almanac search criteria defined above. The optimizer then lays a grid consisting of 3 lines that meet at the center of the sky projection and extend towards the horizon at approximately 120 degrees apart. Stars that fall close to the grid are considered as possible candidates for running fix triads.

After all possible triads have been located the optimizer weights them optimal sight and running fix performance. Grid Wt, Mag Wt, and Hc Wt are parameters that control the "goodness" of a sight triad. Mag Wt controls the importance of brightness when computing the "goodness" of triads. A value of 1 for Mag Wt means that the brighter triads should be considered better than dull ones. A value of 0 indicates that brightness is not important.


Hc Weight

The sight planner invokes the optimizer after sets of bodies have been found that meet the almanac search criteria defined above. The optimizer then lays a grid consisting of 3 lines that meet at the center of the sky projection and extend towards the horizon at approximately 120 degrees apart. Stars that fall close to the grid are considered as possible candidates for running fix triads.

After all possible triads have been located the optimizer weights them optimal sight and running fix performance. Grid Wt, Mag Wt, and Hc Wt are parameters that control the "goodness" of a sight triad. Hc Wt control the importance of Altitude when computing the "goodness" of triads. A value of Hc Wt of 1 means that triads where the bodies are at similar altitudes is important while a value of 0 indicates that Altitude is not important in the computation of the "goodness" of a triad.


Planner Control Settings

Celestial Functions

The celestial functions menu allows access to all of StarPilot's celestial functions. See individual topics for information on specific functions.


Sight Reductions

StarPilot easily, accurately, and quickly reduces sights for the Sun, Moon, five major planets, and 173 selected stars using its perpetual internal almanac. This section describes procedures for doing sight reductions using the internal almanac.

To follow through the next examples, first Set Defaults so we start at the same place.

The StarPilot uses the same dialog to do sight reduction of all bodies. To do a sight reduction of a specific body select the body from the "Body" selector by pushing the [->] button. This will bring up a scrolling list of bodies. The list can be sorted in ascending or descending order by category by clicking on the corresponding column headers. Filling in the rest of the form and hitting [Compute] will provide the result.

If you make a mistake the [Delete] button can be used to erase the sight from the sight array. Note that only the current sight can be removed. For more extensive editing of the sight array review sights must be used.

Hitting [New] allows you to start the next sight.

Following are several examples:

Sun Sight Reduction

Star Sight Reduction

Moon Sight Reduction

Planet Sight Reduction


Sun Sight Reduction

The procedure for doing celestial sight reductions is best illustrated by an example. Suppose we wish to reduce a Sun sight given the following parameters.

GMT = 15h 35m 42s

Date = Sept 10, 1996

DR Latitude = 34° 55' N

DR Longitude = 35° 50' W

Hs = 54° 58.8' for Lower limb Sun

HE = 10 feet

IC = 2.5' (ie 2.5' OFF the scale)

Note that GMT = Greenwich Mean Time, which is the traditional name for the modern term universal coordinated time (UTC), which is the same as what we call watch time (WT) with the zone description (ZD) and watch error (WE) set to 0.

Before doing the sample sun sight please turn on the calculator and reset it to its factory default state. Once the StarPilot has been reset return to the main menu and select the Sight Reduction dialog.

Select Sun for a Sun sight. The program will then inform you that you are performing sight number one and then prompts you for the time of the sight.

In StarPilot, all times are entered as Watch Times (WT), which are defined by this equation

GMT = WT + WE + ZD,

where the Watch Error in seconds and the Zone Description in hours are stored in the Advanced Settings dialog. The default has both = 0, which makes WT the same as GMT.

Now enter the data being careful to observe the data entry conventions described in the Quick Start section and Introduction. Press the [ENTER] key after each value is entered. Note that hitting the [ENTER] key commits the value to memory.

Note the minus in the -35.5 representation of 35° 50.0' West. IC is used to enter the index error in decimal minutes. The IC is simply added to the Altitude reading (Hs) and therefore should have a minus (-) for "on" errors and no sign (i.e. implicit +) for "off" errors, ie, "If it is on, take it off."

The output screen shows the body sighted, sight number, and then a review of the input, WT and Hs, then the Azimuth Zn and the altitude intercept, called here "Int" but usually abbreviated "a" or the "a-value." Here a = 9.5' T 214.3, where the Azimuth Zn is always a true bearing. Int(nm) is the intercept (a-value) in nautical miles, positive values are TOWARDS, negative values AWAY.

StarPilot records this sun sight for future use in a LOP plot or Celestial Fix option [4], described later.

If you detect an obvious error in the input simply hit the [Delete] button to remove the sight from the sight array.


Star Sight Reduction

To reduce star sights, select Star from the Sight Reduction menu. Sample:

Star = Capella

GMT = 7h 11m 21s

Date = May 2, 1988

DR LAT = 49° 32' N, DR Lon = 165° 12' W,

IC = -3.0', HE = 16 ft

Hs = 36° 14'

The a-value = 18.5' A 300.8°.

To prepare and evaluate star sights, StarPilot provides an easy method for identifying stars and planets and also a comprehensive Sight Planner.


Planet Sight Reduction

Select Planet for a planet sight reduction. Here is an example.

Planet = Jupiter,

GMT = 21h 07m 26s, Date = Sept 10, 1996,

DR LAT = 34° 30'N, Lon = 36° 30'W,

Hs = 31° 36.0',

IC = 0, HE = 10 Feet.

Sight #3, a = 4.2' A 171.3. Note that although these sights are numbered as we do them in this series of examples, they are totally unrelated and not part of any fix sequence. The "5" before Jupiter is simply the number of the planet in StarPilot, which includes 6 planets. This number is useful in judging progress in search routines such as Star/Planet ID and Sight Planner.


Moon Sight Reduction

Moon, Lower Limb,

GMT = 10h 01m 04s,

Date = October 22, 1996,

IC = -1.7, HE = 18 feet,

DR Lat = 26° 20' S, Lon = 99° 27' E,

Hs = 33° 39.3'.

Answer, a = 12.4' A 079.9.


Celestial Bodies

The functions found in this menu are used to compute properties of celestial bodies such as time of rise and set, star and planet identification and compass calibration. Note that most of the operations performed in this menu use values stored in the settings menu.

Sunrise, Sunset, Twilight, and LAN

Sight Planner

Precompute

Star and Planet ID

Moon Rise, Set, Phase, Age


Sunrise, Sunset, Twilight, and LAN

Sunrise/LAN/Sunset computes the times of sunrise, sunset, nautical and civil twilight, and meridian passage (LAN). Also output are the bearing to the sun at rising and setting, height of the sun at LAN, and the LHA Aries at the midpoint between nautical and civil twilights. Input is DR position and date. To compute July 4, 2000 at 47.39, -122.20, enter these data in the settings. To see local times, input ZD , in this case +7 for PDT, and then:

EqT is the "equation of time" which is the difference between 12:00 UT and the UT of LAN observed at
Lon = 0°.

The values of LHA Aries is used for setting up Star Finders or Pub 249 for sight planning and star ID, although StarPilot will itself perform these planning functions for you.

The bearing of the sunrise and set relative to 090 and 270 is called the "amplitude" of the sun.


Sight Planner

The sky view function (Sight Planner) graphically displays a radar-like projection of the sky at a specific time and place. The Sight Planner can also compute the best bodies to "shoot" to obtain the best possible fix. This feature is called Find Sights and is documented in the next section.

Input are the date, time, and DR position. Active settings also used are found in DR Parameters in Settings which set upper and lower limits on Hc and a cutoff magnitude of stars to compute. Please review that section for important details.

The program then searches through the internal almanac for the visible stars and planets, followed by displaying a graphical view of the sky. Note that stars are displayed as black points on the screen, planets are identified by small orange dots, the Sun is a yellow filled circle, and the moon is displayed as a gray filled circle.

First a quick check for the sun and moon is carried out, then the star search. Stars are searched in order of brightness with the magnitude of the current star in view. Once the picture is drawn, use the mouse move around the screen. To select a specific body on the screen and obtain further information simply move the mouse pointer over the body.

Mercury is included and you can take sights of it for navigation, although it is not listed in the Nautical Almanac because it is only rarely useful. Nevertheless, StarPilot will nicely warn you when it is there so it wont get confused with another star or planet.

The following example displays the position of the brightest stars, moon, and the planets at 2200 GMT on January 1, 1998 at 12° N, 68° W.

[Plot Sky] displays the star map on the StarPilot's main display. [List Bodies] will list in tabular form information about all the visible bodies. [Best Sights] is only active when using the find sight feature of the sight planner discussed in the next section. Enable Twilight is used to plot sky maps at mid twilight times for doing star sights. The "hand" icon is a short cut to the StarPilot settings.

See www.starpath.com for notes on choosing the best star-planet combinations for sight taking.


Find Sights

StarPilot includes a "Find Sights" feature which is part of the sight planner which will compute sets of 3 body triads which will yield optimal running fixes.

Settings

The following settings are used to control "Find Sights" feature of the sight planner. These settings are accessed through the Settings menu and their function is reviewed here for you convenience.

Hc Min/Max/Max Mag are used by both the sight planner and optimizer to set clip values during the search for bodies. Hc Max/Min set the Maximum and Minimum altitudes to be considered when displaying a body. Bodies with altitudes higher than the Max setting or lower than the Min setting will not be displayed. Max mag defines the magnitude cutoff during the search for bodies. Only bodies brighter or equal to Max mag will be displayed.

Steps, Slop, Grid Wt., Mag Wt., and Hc Wt. are used to control the sight optimizer and are ignored by the sight planner.

Theory of operation

The sight planner invokes the "Find Sights" optimizer after sets of bodies have been found that meet the almanac search criteria defined above. It then lays a grid consisting of 3 lines that meet at the center of the sky projection and extend towards the horizon at approximately 120 degrees apart. Stars that fall close to the grid are considered as possible candidates for running fix triads.

The Step parameter controls the coarseness in degrees of grid as it "steps through the sky" from 0,120,270 degrees to 120, 270, 360. For example a Step of 8 would define grids at (0,120,270), (8, 128, 278), (16, 136, 286), etc. Decreasing the step value increases the computational and memory demands of the operation which results in longer compute times while increasing the step speeds things with a possible loss in accuracy.

The Slop parameter controls the distance in degrees a given body must be from the grid before it will be considered as a member of a triad. In order to find all possible triads the Slop factor must be at least 2 times greater than the step. Increasing the slop factor by more than 2x the step yields a larger number of duplicate triads that must be removed before the optimizer analyzes the triads. Decreasing the value may result in the optimizer missing some triads.

A step factor of 8 with a slop of 16 has been found to be a good compromise. If a particular sky yields a small number of triads (or none at all) the step factor should be decreased and/or the slop factor should be increased.

After all possible triads have been located the "Find Sights" optimizer weights them optimal sight and running fix performance. Grid Wt, Mag Wt, and Hc Wt are parameters that control the "goodness" of a sight triad. Grid Wt controls how close a set of bodies must to the grid to be considered "good". A value of 1 indicates that the grid factor is very important while a value 0 indicates that any triad is good as long as the bodies lie within the "slop" factor from a grid.

Mag Wt and Hc Wt control the importance of brightness and Altitude when computing the "goodness" of triads. A value of 1 for Mag Wt means that the brighter triads should be considered better than dull ones. A value of 0 indicates that brightness is not important. A value of Hc Wt of 1 means that triads where the bodies are at similar altitudes is important while a value of 0 indicates that Altitude is not important in the computation of the "goodness" of a triad.

The StarPilot uses a default grid factor of .7, magnitude weight of .2, and Altitude value of .1. To make brighter triads "more important" increase the value of Mag Wt.

Operation

The "Find Sights" pull down menu controls the bodies that should be considered when computing triads.

A value of "OFF" switches the optimizer off resulting in a display of the sky with no triads. The Sun, Moon, Stars, and Planets are included in the almanac search.

"Star only" turns the optimizer on for Stars only.

"Stars and (Moon, Planets, Moon and Planets) " includes the corresponding bodies when computing triads. Note that the optimizer never uses the sun and that the magnitude of planets is set to 0 when computing the weight factors of triads.

[Plot Sky] or [Best Sights] starts the ball rolling. Firs the almanac is searched. After the sky search has been completed the optimizer is invoked to compute running fix triads.

Finally a picture of the Sky and weighted triads are displayed.

The following example computes triads for PM Twilight on 3/9/2001 at 47.40N 122.20W using stars and planets. Note that Zone description in the settings is set to 7 hours yielding local times for AM and PM twilight times.

A picture of the sky with the "preferred" triad is initially displayed on the screen. The 1/41 in the upper section of the screen indicates that triad 1 of 41 is currently being displayed and that it has a computed goodness value of 1.99. Clicking the "Left" mouse button anywhere on the star map will move you forward through the triads in order of increasing to decreasing "goodness". Clicking the "right" mouse button will cause StarPilot to move through the triads in reverse order of "goodness". You can also use the Up and Down arrows on the Sight Planner dialog to move Forward or Backwards through the best sight triads.

Note that the bodies in the current triad are always at the "end" of the displayed lines. I.e. For triad 1 Venus is found at Hs 19.263 and Zn 269 degrees.

The "Best Sights" function displays textual information about the triads. First the 3 bodies in the triad are displayed with corresponding ephemeris. Then a summary screen for each triad is displayed. Delta Z, H, and I correspond to the computed weights for Grid/Slop, Hc, and Magnitude.


Sight Analyzer

To learn about the theory behind this process, see related articles online at www.starpath.com.

The goal is to effectively average a series of sights to determine which one is a proper representative of the full set. To do this, we compute the theoretical values of Hc over the time interval of the sights stored-taking into account the motion of the vessel-and then compare the slope or curve of these data with the actual sights. This process shows which sights are outside of statistical fluctuation, so they can be deleted or not considered, and lets you choose the best of the set.

To execute Sight Analyzer in StarPilot, enter a set of sights of the same body over a reasonably short time period (10 to 20 minutes or so) using the normal Sight Reduction function. If the Hs values change too much during your sight period (time is too long), then the Hs scale on the calculator display is too compressed and differences do not show up well. Once the sights are stored, set DR mode to Speed, DR time to the time of the first sight and enter the correct DR position for that time, along with your course and speed made good over the sight period.

Then from the Celestial Fix menu, select Sight Analyzer. The sample here shows its use for a series of sights at LAN, but it would more typically be used for any sequence of sights of the same body.

The Analyzer will then compute the Hc value (actually a computed Hs, since we undo all the corrections that have been applied to the sight at that time), then store this theoretical value, and then proceed on down your sight list, advancing the DR to the time of the next sight, computing Hc, and storing it, until all are done. Next the curve of theoretical sight values is drawn as a graph and your actual sights are plotted on the graph. Any sights that are far from the plot are most likely wrong.

To best compare the data, move the curve by placing the cursor at the place you want the curve to cross and press [Enter], and this way find the best fit to the data. Note the cursor cannot be right on a data point, since [Enter] then will report back the difference between line and data. Find a location off of a data point that will place the curve (line) such that there are about the same number of points above as below the line, but disregard any that are clearly far off the line. Then choose any one sight that is on the line as your best. That one sight will be as good for a fix (or better) than all the sights plotted together.

This process can also be applied to any sights. Those taken before or after LAN could be used for a "reduction to the meridian" analysis (see older versions of Bowditch for reference).

This tool is best suited for poor or sparse data. The LAN example sights have little spread, yet we can still improve the analysis as shown.

The sight analyzer provides a mechanism for selecting specific sights out of the sight array to analyze using a sight filter. By default all sights in the sight array are displayed. You can select a sub range of sights to display by entering the sight number of the first sight in the range followed by a "-" and the sight number of the last sight in the sequence into the filter. Individual sights can be enumerated and delimited with ",". Sub sequences and individual sights can be mixed and matched in the filter string. The following filter string "1-4,7,9,11-14" tells the sight analyzer to include sights 1 through 4, 7 and 9, and 11 through 14. A graphical sight picker can also be used to select subsets of the sight array for analysis. To use the graphical tool hit the [->] button and use standard Windows selection methods to pick and choose sights. The following example illustrates the use of the graphical sight picker.

LAN Analysis using Sight Analyzer

The example is a set of high LAN sights, peaking at about 87 degrees, from July, 1982 in the Tropics (note it is not common practice to take sights this high).

The first picture shows all 15 sights spanning LAN, and the analyzed results are not very interesting since the scale is too big.

But suppose we use the filter to select the few sights shown in the picture below it. Then we run the Analyzer, set the cursor where we want the line redrawn, and click the left mouse button.

The scale is now much better. Notice the difference between solid dots (exact fit) and open circles (off the curve).

With the use of the Analyzer we see that even with just these few sights, we have a good LAN, and that the next to last sight was too low and that our peak height is a reasonable one for the LAN value even though we slightly missed the actual peak time. This also means that you could use the LAN utility to get a reasonable Lon as well as Lat from the sights.


Precompute

The precompute function is used to compute Hc and Zn for a body when planning sights, working problems from a text book, or evaluating existing sight data. The function works exactly like the Sight Reduction from the main menu with the exception that only Hc and Zn are displayed. To precompute the expected Hc and Zn for the Sun, for example, you get the following results:


Star and Planet ID

With this function it is possible to identify a star or planet by simply noting the altitude and bearing to the heavenly body. For example, say one would like to identify a bright body observed at GMT = 21h 7m on September 10, 1996 at an altitude of 31° 36' bearing 171° true, our DR position is 34° 30' N, 36° 30' W and our observation height is 10 feet.

Press [Find] to start the search through the internal star and planet catalog to identify all bodies within ±5° of the observed data, First sun and moon are checked (this is automatic) and then through the stars starting from the brightest.

We find that Jupiter- a very bright body with magnitude -2.4- meets the search criteria precisely. Note that magnitude difference of -2.4 to +2.1 is 4.5 magnitudes or some factor of 100 in brightness. See Ref. 21 (The Star Finder Book).

Star and Planet ID uses the same internal function used for the Sight Planner. That means that it also reads the settings for Hc min and max in . If you have found a low or high star that is outside of the range you have set, then you need to first open up that range to find it. StarPilot will not find a star at Hc = 8°, when Hc min is set to, say, 10°.

The internal star search function searches for stars in order of brightness. Bright stars matching the search criteria will always be displayed before dimmer stars. This feature allows access to the more desirable stars quickly without having to search the 173 star catalog.


Moon Rise, Set, Phase, Age

The example computes the moon rise for February 2, 1998 at 12° N, 068° W.

The first half of the output screen displays the Watch Time ( GMT - ZD) for rise and set of the moon. (If the ZD had been set to, say, +5, then the time reported here would have been "GMT - 5" which is what we call "Watch Time.") The second portion of the display indicates the phase of the moon and it's age. The moon is full when the value of its phase is 1 and new when the phase is 0. The moon age indicates the exact day in the moon cycle. Day 1 indicates a new moon while day 14 indicates a full moon.


Celestial Fix

StarPilot will record a series of sights over time and given more than 2 will advance them to a common time and calculate a position fix which we call "celestial fix.". Alternately, the program provides for a method of graphically displaying the LOPs from various sights. The user then manipulates the arrow keys to select the coordinates of the fix. Plotted LOPs can be advanced to a common time or not advanced based on user input.

Generally the first step in doing any fix would be to review the sight data stored, which can be done with option [1] of this menu. If you execute the function right now, however, you would see the 4 sights from the last example, but it would not make sense at all to execute a fix from that data since they were from different times, places, etc.

Hence to show how celestial fixes work in StarPilot, let us start all over again with a new set of data

3-Star Fix Example

On July 6, 1996 a vessel traveling at 20 knots on a heading of 325 True at approximately 32°N and 15° W made the following 3 observations. The index error was 0.0 and the height of eye was 10 ft. What is the expected position of the vessel at 2100 GMT determined from the following three sights? The ZD of the watch was set to 0 (WT = GMT) and there was no watch error.

1. Regulus (#26)

WT = 20h 39m 23s, Hs = 25° 00.6'.

2. Antares (#42)

WT = 20h 45m 47s, Hs = 27° 05.7'.

3. Kochab (#40)

WT = 21h 10m 34s, Hs = 47° 27.6'.

Given that most of the parameters for these 3 sights are the same, it would be most expedient to use the StarPilot settings menu to set up the sight parameters before actually doing the sight reductions and then use Sight Reduction Mode = Sequential which will read the values for each sight. Refer to explanations in earlier sections as needed to complete the following sequence of instructions.

1. Reset the program to its defaults. In practice this step is not necessary, you would generally just use New Sequence. We do it here for a common basis for this problem.

2. Set the date in General Settings

3. Set the DR position, HE = 10, and IC = 0 also in General Settings

6. Check your input with View Settings and compare with the following.

Now enter the 3 star sight reductions as explained earlier in section [3] [2]. We will check your work in the next step. Here is what the data screens will look like:

1. Regulus

2. Antares

3. Kochab

Review Sights

Fix by Computation

Fix by Plotting LOPs

Delete a Sight

New Sequence (Del All)


Review Sights

The Review Sights function displays the full list of sights stored in the sight array. This is a way to check that you have what you want before executing a fix, and it is also an the only way to delete a specific sight.

If you execute Review Sights now you should see the 3 star sights you just entered. Use the arrow keys at the bottom of the Review Sights dialog to navigate through the sights in the sight array. The red X can be used to delete the currently displayed sight from the sight array.

Note that although it will not affect the final fix in any manner, the actual a-values displayed in the Review Sights list always depend on how the DR Mode is set in DR Parameter Settings . The intercepts displayed in this sequence are the same ones reported at the time of the sight reductions, since DR mode is currently set to OFF. In other words, these a-values are not advanced. These particular a-values do not know you actually had a course and speed during the sights. When it comes time to do a fix, however, you will be asked for the course and speed so they will all be adjusted properly.

On the other hand, if DR mode is set to "Speed," the Review Sights function will first use the internally stored values of course, speed, and DR position to advance each of the sights to a common time before presenting the a-values. The common time used is the time of the first sight and all intercepts are computed and displayed relative to this common time. This is a crucial option for evaluating a set of sequential sights of the same body from a moving vessel, but it has no significance in these three individual sights of different bodies. Also note that this option has no influence on the subsequent fix, since that will always require course and speed adjustment.

DR mode = Log acts like DR mode = Off as regards the Review Sights display. The log mode only makes a difference in the DR Update operation.

While displaying a sight with Review Sights corrections to the data can be made and the sight recomputed by issuing a [Recompute]. The newly computed sight will replace the old sight in the sight array.


Fix by Computation

Once you have a set of sights stored in the sight array, you can obtain a fix two ways, either by direct computation or by plotting the LOPs and selecting the fix graphically yourself, discussed later under Fix by Plotting LOPs .

The Fix by Computation option uses the standard US Naval Observatory (USNO) algorithm found in the Nautical Almanac. This is a set of formulas and procedures that take the raw data and compute the corresponding fix. The lines of position are advanced to a common time and a least squares fitting method is applied to compute the fix.

When you select either from within the Celestial Fix menu, StarPilot will prompt you for your current speed in knots, course track (magnetic if the variation is set, otherwise true), and time (WT). The WT of the fix you desire could be a time of one of the sights, or any other time.

All sights will be advanced (or retarded) to the fix time you entered. Entering a value of 0 for the speed causes the application to suppress the course and time prompts bypassing the advance of the LOPs to a common time. Note that the DR position used in the running fix computation need not be the same one used in the original sight reductions since all sights are recomputed for the fix computation.

Note too, that if you are not moving (S=0) then the time of the fix does not matter. It just assumes you are at the same place but took sights at various times.

When doing sight reductions by tables we are used to using Assumed Positions. With calculators, however, we do not have a separate Assumed Position but instead all sights are reduced form the stored or advanced DR position. When using the USNO method, if the DR Position is in error by more than 20 miles StarPilot will recompute your position after temporarily updating your DR position. Once the running fix computation has completed pushing the [Update DR] button will cause StarPilot to update the stored DR position with your newly calculated fix. The following screens depict a running fix computation. Do not update DR yet for purposes of this example.

The R(nm)/Brg(T) on the output screen are the range and bearing from the DR position to the computed fix. This data should be recorded at this stage since it is very valuable in evaluating your overall navigation and it will be replaced in the display in the next step if the R is bigger than 20 miles.

In summary, the 3 star sights gave a fix of 31° 37.2' N, 15° 01.6' W and this fix was a distance of 22.8 miles off where we thought we were in the direction of 183.5 True.

The full effect of "Update DR position" depends on the DR Mode you are in, as explained further in section [5]. When DR Mode = Speed, "yes" will update the stored DR position and the stored DR Time.
When in Log mode, StarPilot will update the position and turn the Log mode to Off, since we lose track of actual log readings during the sights. If you wish, you can switch back to Log mode at this point and reenter the appropriate log reading

Please review the Quick Start Examples and discussion for more details.


Fix by Plotting LOPs

Alternately, to use a graphic method to obtain a fix, use the Fix by Plotting option under the Celestial Fix menu. Fix by Plotting will graphically display the LOPS on the screen allowing the user to actually select the fix from the plot.

When first executed, the plotting function prompts the user for the vessel's speed in knots that was in effect during the sights. Entering 0 for the speed will cause StarPilot to plot the LOPs without advancing them to a common time. Entering a nonzero value for the speed causes StarPilot to prompt for the course (in True or Magnetic) and a WT in exactly the same manner as the computational fix methods describe above. The program then advances all LOPs to the given time and plots them on the screen. In either case the DR position is plotted in the center of the screen with a circle around it.

The first display shows the DR position (a circle) about 23 miles north of the intersections as we learned from the numerical fix. The automatic scale of the initial plot is about 3 times the distance from the DR position to the farthest LOP intersection. The Lat and Lon of the cursor position are displayed at the bottom right of the screen. Next we use the mouse to move the cursor into the "cocked hat" of intersections, as shown below and click the left mouse button.

The precise location of the fix is displayed in the dialog box.

Pushing [Update DR] will simply take the position you selected and store it in the DR position. [+] or [-] simply zoom into/out of the current plot.

Here we have moved the cursor to the right to coincide more with the choice made by the USNO computation. This latter is more the true centroid of the pattern, i.e. the point that is about 1.0' inside of each of the LOPs. Note the DR to cursor distance is 0.87 nm in direction 057. You can more directly compare USNO to the Plot by updating DR to the USNO fix when you do it, then do the plot, expanding as needed.


New Sequence (Del All)

If you wish to remove all stored sights but otherwise leave all the settings unchanged, then use this New Sequence Option. This is the more common way to move on to a new set of sights underway. On the other hand, if you have a lot of changes to make, then the Set Defaults might be a better option.

This function can also be called from "Clear Sight Sequence" under the Edit menu.


Delete a Sight

The only way to delete a sight is from the review sight dialog.


Celestial Utilities

The functions found in this grouping compute miscellaneous tasks based on celestial sightings. All the functions are controlled by settings entered in the Settings Menus such as Date and DR Lat/Lon.

Meridian Passage of the Sun for both Lat and Lon

Polaris sights for Latitude and Azimuth

GMT by Lunar Distance

Sight Reductions Using External Almanac Data

Lunars with NA

Find Lost UT From Known Position

Precompute with NA

Compass Calibration


Meridian Passage of the Sun for both Lat and Lon

Measure the peak height of the sun at noon and note the GMT of the event. The height will give your latitude, the time will determine your longitude. For example, Hs max for lower limb sun viewed to the south on Mar 4, 2000 at 20h 55m 30s was 35° 15.2'. IC=2.0' ON, HE = 9 ft. The following sequence yields the position of the observer to be 48° 31.0' N, 130° 59.2' W. Note that since the Sun is observed to the "South" the "South" radio button must be selected.

This function reads the settings, so if nonzero to begin with, you must go in and set them properly. Also note that although accurate peak sextant height is relatively easy to obtain underway, accurate time of the peak is not. Much care must be taken to determine this value accurately from a series of sights. In general, a simple running fix from two sets of sunlines is a more reliable approach to finding position from the sun.

To best use this function, take a series of sights spanning LAN as shown in the Sight analyzer section, then analyze them that way to get the best values of Hs max and time of LAN. If that curve and the fit looks good, then chances are this is a reasonable fix. Note that with such a large set of data you might also try just computing a fix for comparison. Also compare the plot of all these LOPs, zoomed in to the fix position.


Polaris sights for Latitude and Azimuth

The Lat by Polaris function provides for an alternate method of obtaining an observer's latitude using the pole star Polaris. Suppose vessel at DR position 12° N, 65° W observes Polaris with an altitude of 12° 30' at 2200 GMT on January 1, 1998 from an observation height of 10 feet with no index error. The vessel's latitude, actual azimuth for Polaris, and intercept can be obtained using the following sequence.

This routine would also be used to determine the azimuth of Polaris for compass or gyro calibration or for any surveying application that needed precise bearing reference.

Note that LOPs based on Polaris can also be obtained using standard sight reduction procedures such as the one described in the "Celestial Sight Reduction " sections of this manual.


GMT by Lunar Distance

The Lunar Distance Method for determining time (often called "Lunars") was developed during the mid 1700s to synchronize inaccurate chronometers enabling the determination of Longitude. The method presented here can be used to set time to within 1 minute of accuracy -- and sometimes better. Although not as accurate as using a short wave radio tuned to WWV, it is included in the event that some accident prevents the setting of time by more conventional methods.

Time may be determined by measuring the angle between the Moon and any of the 179 bodies in the almanac (Sun, 5 planets, and 173 stars). Time can be set most accurately when measuring the Lunar-Solar distance (or angle) and decreases with accuracy for lunar-planetary distances and it is at it's worst when measuring angles between the moon and stars. The faster the ground movement of the celestial bodies, the better the time accuracy.

When measuring Lunar-solar distances, 1' of arc error in the reading of the angle yields about 3 minutes of error in time. It is, therefore, crucial that all lunar distances be measured as accurately as possible. Unfortunately, Lunar-solar angles can only be measured about 7-10 days a month. If the Lunar-solar distance cannot be measured then the navigator can measure angles between the moon and one of the 5 visible planets or a bright star on the ecliptic.

With IC = 0, and HE = 10 ft., to compute the correct GMT using the outer rim of the sun and the moon's inner rim with an angle of 62° 41.8' on June 19, 1998 at 12° 46' N , 70° 22 W at approximately 11h 54m 05s GMT, one would execute the following sequence. The inner rim of the moon corresponds to the rim closest to the body used in the measurement. A bodies' outer rim is the rim farthest away from the moon. After entering the time, date, position, StarPilot then prompts for the body against which the moon is measured and inner/outer rims used in the measurement. Pushing [Compute] starts the ball rolling.

The output shows the corrected watch time, watch error, lunar distance corrected for semi-diameters, calculated distance, slope of the distance vs. time curve expressed in time seconds per lunar distance arc minutes (i.e. in this example, the lunar distance was changing at a rate 1' per 189 seconds), and finally we show the change in measured distance that would have accounted for the observed time difference - which shows how sensitive the answer is to accurate input data. For references on moon sights for time, see www.starpath.com in the celestial nav and StarPilot sections. (Later we will add an option that iterates the search for higher accuracy.)

Note that to do lunars accurately an iterative process is required. Please see the lunars article posted at www.starpath.com for more information on this technique.


Sight Reductions Using Externak Almanac Data

Sight Reductions Using External Almanac Data

This function is explained on the StarPilot CD or you can download it from www.starpath.com


Lunars with NA

This is the lunars function described in the GMT by Lunars function described in a previous section using data from the Nautical Alamanc instead of using the internal almanac.


Find Lost UT From Known Position

This function is a sight reduction but instead of entering it with a known WT to compute an LOP, you enter it with a known position to recover UT.


Precompute with NA

This function is like the "Normal" pre-compute function discussed in the "Celestial Body" section of the manual but you input GHA and Dec directly. It will compute LHA from the stored Lon and used the stored Lat to find Hc and Zn. If you want to input an LHA, then do so when asked for GHA, but set Lon = 0.


Compass Calibration

An accurate way to check a compass is to compare the compass heading of the vessel with the shadow of the sun cast across the compass. This procedure can be used at the dock or far out of sight of land.

The celestial utility called Compass Cal predicts where the Sun's shadow should fall on the compass given the GMT of observation, a DR position and the local magnetic variation. Subtracting the bearing of the Sun's shadow with the actual reading yields the compass deviation for the current heading. The adjustments can then be made to remove the deviation, or the deviation may be noted on a card. To swing a compass, or to create a compass deviation card, follow the given procedure while traveling along each of the cardinal and intercardinal compass headings.

The following example illustrates the execution of the compass calibration procedure for a vessel at 35°15' N, 70°25' W, on June 3, 1975 1330 GMT, with a local magnetic variation of 7° 15' W. By convention, westerly magnetic variations are entered as negative numbers (Section 4). Note that as in most functions in this menu group, the program will not prompt for either the DR LAT/LON and/or the local magnetic variation if they have been previously set in the "Settings".

If your compass pin shadow is at, say, 280, then your compass is too low on that heading by 1.6°.

You can use the precompute function to do this as well, but there is more arithmetic. You will find that the Zn of the sun is 094.3 T and the reciprocal at 274.5 T which is 281.6 M accounting for the variation of 7.25°. The bearing to any body can be used for a compass check using the precompute function.


Utilities

Piloting Utilities

In addition to the celestial navigation aids already examined, StarPilot also provides a host of useful general purpose navigational functions. Access to these functions is via a series of cascading menus starting with the DR-and-Piloting menu. Functions are loosely categorized and placed in a menu with other similar utilities. For example, the Route Sailings menu contains functions which cover the various ways to compute routes from point to point. This help file section mirrors the Piloting menu structure in the application. Please follow the appropriate links to find information on a particular topic.

Update DR position

Speed, Time, Distance

True Wind Direction

Compute Magnetic Variation


Update DR position

Updating DR position

It is often useful to determine a DR position from log book data without actually plotting out the track on a chart or plotting sheet. This functionality is provided in StarPilot by the Update DR function. Considerable effort has been taken to make this a convenient and versatile function since it is so crucial to the day's work in ocean navigation.

The operational behavior of Update DR as well as how this interacts with the Celestial Fix routines is controlled by two settings: DR Mode and Course/Speed .

When DR Mode = OFF, the Update DR function will ask for your course and then the distance run in nautical miles. Then it computes your new DR position. If you did not have a DR position stored in the Settings, then it will first ask for the starting point. At the end of the computation it will ask if you wish to update the stored DR position to this new value.

Example, we are at 47° 39' N, 126° 50' W. Our log reads 100.0. We wish to find our new position if we sail 123.7 miles on course 245 T, We do this first in the Off mode, then Log and Speed modes.

From the Settings dialog select the DR Parameters tab and type in 47.39 and -126.50 for the DR Lat and Lon, respectively.

DR mode = Off

Now set DR mode = Off from DR parameters tab in the Settings dialog. Then select Update DR from the DR-and-Piloting menu and then input the course and distance run.

Pushing the [Update DR] button will store this new position into the DR, pressing [Done]will just quit with out updating the DR stored in settings. Select [Done] since we want to do other examples.

The output shows the new DR position as well as a summary of the leg we just computed. This is a double check that we entered the right values, but this latter info would be of more interest in the speed mode. Note that these values reported back may differ by a few tenths or so, since this is not just a repeat of what we entered, but an actual independent second computation of the Rhumbline route from departure point to answer point and there may be some rounding off errors.

DR mode = Log

Now set DR mode = Log from the DR Parameters tab in Settings. StarPilot will then prompt for Log (enter 100) and Course (enter 245). In this mode, to figure our position 123.7 miles along from here, we have to realize that our log will then read 223.7 - or if we were not using real log entries, we could just enter 0 here for our current log reading, and then enter 123.7 for the computation, which is like doing it in Off mode.

Now execute Update DR from the learn that all you need to enter is the log reading of interest, i.e. 223.7, and [Compute] to get the new DR position.

You will get the same screen as in the Off mode. If you [Update DR] then this position will replace the one in storage and also the log in storage will go from 100.0 to 223.7. To carry on with these examples, choose [Update DR] followed by [Done].

DR mode = Speed

First do View Settings to confirm what we have so far. Do this from the Edit menu under View Settings. You should have the new DR position stored along with a log reading of 223.7 and a course of 245.

To start doing DR by speed and time, change DR mode to Speed, enter DR time = 12.04, Course = 245, Speed = 8.5.

Now let us ask where we will be at DR time = 1445. Do Update DR, and enter 14.45, and you should get:

Again, the bottom part of the display is the RL (rhumb line distance) from departure to destination. It should be very nearly the same as the timed run of the input, i.e. 14.45 - 12.04 = 2h 41m at 8.5 kts = 22.8 miles.

Updating DR position will now store this new location along with the new DR time of 14.45. Do this and then view settings to check what you have.

Here is a logbook Sample A, to be computed.

Before going on to the next example note the Auto Update DR /w [Compute] check box in the Update DR dialog. Then this feature is selected the DR is automatically updated when the [Compute] button is hit. Auto Update eliminates having to push the [Update DR] button when executing a sequence of log book entries. Use this feature in the following examples to reduce the number of events required to complete the computation.

Log Course Position

102 245 47.39, -126.50

150 260

178 270

190 170

255 170 find position here

Using Update DR in Log mode, you should get 46.098, -128.359

Likewise, this one, Sample B (unrelated to A)....

WT Course Speed Position

1204 245 8.5 47.39, -126.50

1512 260 7.0

1806 270 7.5

1900 170 6.0

1950 170 6.0 find position here

Using Update DR in Speed mode, you should get 47.193, -128.038

Note on DR over midnight

The Update DR function in Speed mode does not read the date stored in the calculator (date is for cel nav functions only). When you must DR across midnight in the Speed and time mode, take one leg up to 24.00, then start another at 00.00 by setting DR Mode again. In the Log mode this is not an issue. Note that you can do running fixes that span midnight in any time zone, since the date is stored with all sight reductions.

DR Mode and Review-Sights Display

When DR Mode = Speed, the Review Sights function uses the course and speed to advance the sights before displaying them. The common time used is the time of the first sight (#1). Hence for most logical presentation of the data, it is best to have the stored DR position consistent with the DR track in effect at the time of the sights. To do that, just set the DR mode to Speed (set it again, even if is set there now) and at the input enter any valid time and point on the DR track. If you care to, you could then do Update DR to the time of the first sight to double check with your printed records that all is correct, although if your input was correct this would not be needed. The program will automatically update the DR before presenting each sight.

Normally this is not a concern, since when the fix is computed it will be done right no matter where the DR is - it might just take a few iterations to converge. But things will work more smoothly and make more sense if you use for a DR position the one that corresponds to the sight time you requested. Needless to say you need to do it this way if you wish to test your GPS with celestial or vice versa.


Speed, Time, Distance

Speed - time - distance computations are needed daily in marine navigation. StarPilot has a convenient routine for this. Get to it under Dr-and-Piloting or from the toolbar. When executed the procedure prompts for the three values. Enter 0 (zero) for the one that you wish to compute. How long does it take to go 112.8 miles at 14.5 kts?

Answer is 7h 46m 46s. This is a very convenient function with numerous routine applications. Suppose you run a measured mile in 8m 32s. What was your speed?

The answer is 7.03 kts.


True Wind Direction

Sailors and power-driven vessels as well often need to know the true wind speed and direction although only the apparent data are available. Use DR-and-Piloting to get to the converter.

Given a ship course of 115° - true or magnetic, it does not matter, the output is all relative to the input - traveling at 6.5 knots, with an apparent wind direction of 145° (i.e. from 30°on the starboard bow), and apparent wind speed 16 knots we calculate a true wind direction and speed as follows. Note that the actual direction of the apparent wind is required, not just a relative direction.

The above example was in terms of actual wind direction. If you prefer to use relative values, then set course = 000, and all input and output will then be relative values. You will get that an apparent wind of 16 kt at 30° on the bow when traveling at 6.5 kts is the result of a true wind of 10.9 kts at 47.4° on the bow. The faster you go, the more you push the wind forward.


Compute Magnetic Variation

This function computes the magnetic variation for any location on earth at sea level during the current epoch.

StarPilot computes the main components of the geomagnetic field and their annual changes.

Enter the date and location using standard data entry formats described in the Introduction .

The seven computed magnetic components displayed are:

TI - Total Intensity of the geomagnetic field
HI - Horizontal Intensity of the geomagnetic field
X - North Component of the geomagnetic field
Y - East Component of the geomagnetic field
Z - Vertical Component of the geomagnetic field
DIP - Geomagnetic Inclination
DEC - Geomagnetic Declination (Magnetic Variation)

Annual change in each of these magnetic components is also displayed. The annual change is computed by subtracting the main field values for the desired input date from main field values one year later. The output units are displayed using the abbreviations nT (nanoTesla) and nT/yr (nanoTesla per year).

As geomagnetic model data is only reliable for five years from the epoch date of the model, computing data for a date that exceeds the life of the model may produce inaccurate results. Therefore, when a date is entered that exceeds five years from the epoch date, a warning is printed on the screen. Data sets for new epochs can be downloaded from Starpath via the web at www.starpath.com .


Route Sailings

Functions in this category are used to compute routes from a start position to the destination. These functions use the stored DR position and Dest position if they have been set in the Settings menus.

Rhumb Line

Great Circle

Composite Sailing

Traverse Sailing


Rhumb Line

The Rhumb Line (RL) function computes the straight line course to the destination on a mercator chart and the corresponding distance. The course shown will be the one true course that will take you from departure to destination on a constant heading, assuming no current, no leeway, nor any other errors.

Consider the course between San Francisco, at 37° 50.8' N, 122° 25.5' W and Yokohama at 34° 52' N, 139° 42' E . Input and check the results, shown below.

For comparison, the Great Circle results are also displayed for each RL computation. These latter data represent the shortest distance, but the shortest route is a curved track on a mercator chart. The GC course presented here is just the initial heading on the great circle route.

In this example, the straight line course on heading 27.8 True will take you there in 4752.3 miles, whereas the actual shortest route will be a curved one, starting off at a higher course of 302.6 T but eventually being a lower course than the RL heading. The GC course is shorter by 263.5 miles, but the actual heading of the course will vary throughout the passage. The Great Circle sailing option below takes the curved GC route and breaks it up into a series of straight RL segments.


Great Circle Sailing

The Great Circle function computes the great circle distance between two points and the course heading to a series of way points, determined by a user input Lon interval (5° is typical), on the great circle route to the destination. A variant of called Composite Sailing is used when a limiting latitude is desired.

The following sequence computes the great circle route between San Francisco, CA at 37° 50.8' N, 122° 25.5' W and Yokohama, Japan at 34° 52' N, 139° 42' E.

and so on until the destination point is reached. Notice that the Lon has gone up 5° each step, and you are told the corresponding Lat if you are to plot this route on a mercator chart. In each screen you are give the distance left to travel (in nautical miles) and the initial course of that leg, which would generally be treated as the Rhumbline course to the next GC waypoint.


Composite Sailing

Composite sailing is a hybrid of the great circle function discussed above. When the great circle course between two points carries a vessel to a latitude higher than desired, then composite sailing may be used to good advantage. The composite track consist of a great circle course from the departure point to the limiting latitude, followed by a course line along the limiting parallel and then a second great circle course to the destination.

Consider the great circle example explored previously in this manual. To compute the composite track between San Francisco (34° 50.8 N, 122° 25.5 W) and Yokohama (34° 52 N, 139° 42 E) with a maximum limiting latitude of 45° N we would execute this function with the following parameters.

First we compute a great circle course up to latitude 45°N.

Arriving at the limiting latitude we then follow the meridian to the designated parallel. The great circle course is then followed to the destination.


Traverse Sailing

The traverse sailing function Traverse finds the single equivalent course given by a series of headings and distances such as might result from a sailing vessel beating and tacking its way to a windward point.

Given, for example, the following course headings and distances,

158° 15.5 nm

135° 33.7 nm

259° 16.1 nm

we compute the following single equivalent course made good (CMG) and distance.

Route data can also be entered as Lat/Lon waypoint pairs by selecting "Lat/Lon Waypoint" from the selection pull down list. In waypoint mode the course and speed for a leg is computed using standard the standard rhumb line computation. Selecting [Compute] yields Course Made Good, Distance Made Good, and Total distance traveled.


Current Sailings

The Current Sailings menu provides access to a series of functions for solving typical vector problems encountered when planning around currents. The menu is accessed via the DR-and-Piloting menu and includes the following functions.

Note that all current sailings functions override the mag variation — all input and output are labeled True. We do this since current set data are usually given in True, so if you are working in magnetic for other headings you will need to first convert any magnetic headings to True to use these functions. Likewise, convert any output here to Magnetic if needed. Current set is always the true direction toward which the current flows, drift is always in knots. We use this convention to remind you that all input must be consistent, and the output will then match. You can, of course, use all magnetic inputs and then will get magnetic outputs, but the labels will still be "T."

Course and Speed Made Good through Current

Course and Speed to Steer to Achieve a CMG and SMG

Course to Steer at Given Speed to Achieve a CMG

Find current from GPS

Tidal Current Interpolator

Tide Height Interpolator


Course and Speed Made Good through Current

The CMG and SMG function computes the course made good and speed made good when the course steered and speed through the water are given. The current set and drift must also be known.

Given that the course steered is 080° T, the speed through the water is 10 knots, the set is towards 140° T, and the drift is 2 knots, the solution for the course made good (CMG) and speed made good (SMG) would be as follows.


Course and Speed to Steer to Achieve a CMG and SMG

The CTS and SPEED function computes the True course to steer and the knotmeter speed required when the course to make good and speed to make good are given, and the set and drift of the current are known.

This type of problem is encountered when the arrival time is crucial after a passage through current. You know the CMG — where you are to where you want to go — and you know the distance there, and you know the time interval you have to cover it so you can figure the required SMG to get there on time. Knowing that, what course do I steer and how fast should I go? Note that the answer may not always be achievable with your vessel.

Given that the course to make good is 265°, the speed to make good is 15 knots, the set and drift of the current are 185 T and 3 knots respectively, we compute the course to steer (CTS) and knotmeter speed in following sequence.


Course to Steer at Given Speed to Achieve a CMG

Function CTS and SMG computes the course to steer and speed made good when the course to make good and speed through the water are given. Additionally, the set and drift must also be known.

Given the course to make good is 095° T, the speed to maintain through the water is 12 knots, the current set is towards 170° T, and the current drift is 2.5, the course to steer (CTS) and the speed made good (SMG) would be the following.


Find current from GPS

Input your SOG and COG from the GPS and also your knotmeter speed and course steered, and this function computes the set and drift of the current which would account for any difference between these two.

We are sailing course 200 T at a knotmeter speed of 7.5 kts, the GPS tells us we are making good course 220 T at a speed of 6.0. The current we are in is 2.77 kts flowing toward 332.2 T.

Note, you should not use instantaneous values for the input, but rather watch the GPS, compass, and knotmeter outputs for some time to be sure you have realistic average values for the input. (You can input True or Compass headings, providing both inputs are the same, and then the set will be in those units as well.


Tidal Current Interpolator

The Current Interp function is used to find the velocity of a tidal stream given the time of slack and maximum tide and the maximum velocity of the tide. For example, to find the tidal velocity at 3h 30m given a slack water at 1h 42m and a peak current flow at 4h 43m with a drift of 4.6 knots one would execute the following.


Tide Height Interpolator

The Tide Interp mode computes the height of tide at any selected time given the time height of low and high tide. To compute the height of the tide at 7h 35m given that the time and height of low tide is 1h 45m at 0.6 feet and the time and height of high tide is 9h 06m at 11.9 feet one executes the following sequence.

Note that the computed tide height is displayed using the same units as the input low and high tide. If the tide heights were to be entered in meters, for example, then the result would also be displayed in meters.

Note also that both the Tidal Current Interpolator and the Tide Height Interpolator offer the option to compute multiple values from the same input.


Piloting

The "Piloting" menu consists of miscellaneous routines used to help in piloting a vessel. ETA is also included in this section.

ETA

Distance Off by vertical Sextant Angle

Distance Off by Two Bearings

Add Times

Add Angles

Geographical Range


ETA

Computes Estimated Time of Arrival in destination time zone using either computed great circle distance or an input distance. It can account for a fixed delay along the way called Bunk T (bunkering). Example (from a USCG exam): leave Capetown at 0530 (ZD = -1) on Dec 20, 1981 bound for New York at ZD + 5, estimated SMG = 25 kts, distance = 6762 miles. What is arrival time with no delays underway? Note that this function will read stored ZD, date, DR and Destination positions if non-zero.

In transit "other" means user inputs the distance to travel, next is speed made good (SMG ), then the destination ZD (not shown above). The answer would be 0559 Dec, 31. The option GC, means you then input DR and destination positions and StarPilot will automatically compute the Great Circle distance and use it for the computation.


Distance Off by vertical Sextant Angle

The sextant is a powerful piloting tool for determining distance off a landmark whose height is known. This can be used for distances that are tens of miles off, on down to less than a mile off. It can also be used to find distance off of objects whose height is not known, provided they are fairly close and viewed from a higher eye height

The three conditions illustrated below. The required input are: IC, HE (they will be prompted for at each sight regardless of SR mode which applies only to sight reductions) and sextant angle. Method 3 does not require an HE as it assumes you see the base from where ever you are. Here are typical examples for IC=2.0' (off the scale), and HE = 30 feet.

Case 1a (base hidden, over the horizon), mountain height = 3520 ft, Hs = 1° 34', answer = 19.9 nm.

Case 1b,mt height = 3520 ft, Hs = 0° 25', answer = 47.35 nm - a very clear day.

Case 2, (base showing, distinctly closer than horizon). Sextant height = base to horizon = 12'.
Answer = 0.88 nm, at HE = 30 ft. Note that at HE = 9 ft, the answer = 0.3 nm; and at HE = 80 ft, answer = 2.0 nm. As an aside, this function is one way to investigate how far off a shoreline has to be to be useful for an index error check. It can also sometimes be used to detmine how far off a vessel is.

Case 3 (base to top), hill height = 460 ft, Hs = 2° 30', answer = 1.7 nm. This is the most common use of this technique for close in piloting, whereas method 1 is more common for coastal runs and for judging larger distance off at first landfall.

Method 2 is not a common technique as it requires higher precision in measurements which are themselves not available very often. All 3 methods lend themselves well to testing by radar or GPS so that when these electronic aids are not available we can fall back on the trusty sextant.


Distance Off by Two Bearings

The function computes distance off at the second bearing and the distance you will pass abeam based on two bearings and a distance run between them. The procedure assumes a constant course. Bearings are bow bearings, equal to the difference between actual bearing and vessel heading.

For example, given an initial angle on the bow to an object is 18° (A1) and after a distance run of 1.7 nautical miles the angle to the same object is 45°(A2), then you must now be 1.2 miles off the object, and if you carry on on this same course, it will pass 0.8 miles off at closest point when abeam.

This is a versatile piloting technique. For charted objects it gives a position fix, but it can also be used without reference to a chart.


Add Times

This function provides a simple way to add or subtract times in h.ms format. The average value is also printed. The example below is: 12h 4m 12s - 32m +1h 0m 4s = 12h 32m 16s. Just enter 0 when you want to stop the entry sequence.

You can also get to this function from the tool bar.


Add Angles

This function provides a simple way to add and subtract angles. In addition to the sum, the average value is also printed. In the following example we do: 120° 43.0' + 5° 58.4' - 10° 3.5' = 116° 37.9'

You can also get to this function from toolbar.


Geographical Range

Geographical range is needed to predict the visible range of a light or land given the height of the object above the waterline. The function prompts for height of eye and height of the object. It then computes the geographical range. The following example predicts the geographical range of a light 125 ft high when observed from an eye height of 10 feet above sea level. The answer is 16.35 nautical miles.

The geographic range is the distance off at which the object first appears or disappears over the horizon viewed from a specific height of eye. The visible range of a navigation light will be the smaller of its geographic range and its luminous range. Luminous range depends on the prevailing atmospheric visibility and can be read from tables in the Light List. It is the same as the charted nominal range in clear weather.


Fix

The fix piloting routines are used to pinpoint your location using the known position of land based reference points.

Running Fix

Three Body Fix


Running Fix

A running fix is obtained by measuring a bearing line to an object of know position at differing times. Alternately, a running fix can be obtained by measuring bearing lines to two different objects of known position at differing times. StarPilot automatically advances the first line of position to the second time and computes the intersection of the lines of position to generate the fix. It is possible to obtain a real fix using this routine by sighting two bodies simultaneously while under way, or by sighting two bodiesat differing times while the vessel is stationary.

The following contrived example demonstrates the use of this feature. A vessel in the Straights of Juan de Fuca moving at a speed of 5 knots on a course 100°T sights Minor Island (48°19.5 N / 122°49.1 W) at 143°T at 0100. Exactly one hour later Marker G3 at 48°25.6 N and 122°58.6 W is sighted along 023°T, What is the vessels position at 0200? The following dialog shows the result.

The [Update DR] button will store the newly computed fix into the DR position in the settings.

Accurate values of the magnetic variation are critical to the use of this function and is therefore displayed on the dialog as a reminder. For convenience a short cut has been placed on the dialog to direct you to the settings tab where the magnetic variation is found. Banging on the "Hand" icon will take you directly to the settings.


3 Body Fix

The three body fix technique, formally know as Direction-difference measurements, is a a method used to determine position with out having to to take bearings. Direction-difference measurements are usually used in pairs. Three objects are selected and the angles between the central object and the other two are observed by sextant. Small circles of position lines are then plotted to find the fix. This method has the advantage over other techniques in eliminating any constant error in measurement of direction. However, if the three objects and the observer are all on the same small circle, the two circular position lines coincide and no fix is obtained. Such a pair of angles, called a swinger or revolver, is analogous to bearings of two objects in the same or reciprocal directions when taking normal bearing positions. When taking sights, if the three objects are in line, or if the central one is nearer to the craft than the other two then a swinger is unlikely.

Direction-difference measurements are usually plotted with a station pointer or three arm protractor. StarPilot, however, does all the math required and plots the small circles of position on the screen eliminating the need for this large and cumbersome instrument.

To find your position select 3 bodies and label them A, B, C. Enter your estimated position (EP), the position of A, B, and C and the angles AB and BC. Then hit [Plot]. The fix occurs at the crossing point between the two circles of position. Use the mouse to move to the fix and click with the left mouse button to fix your position. Use the keys to zoom or out of the plot.

Note that your EP is very important. The solution to the 3 body fix has 6 small circles of position. StarPilot uses the EP to eliminate the extraneous circles of position displaying the minimum required to find your position. We recommended that you use the running fix function described in the previous section to first find your EP using standard bearing lines before computing a fix with the 3 body function.

To facilitate the use of this function, StarPilot supports the creation, reading, and writing of data files. Custom data files for this function by convention end with ".3p".

The following example is included with the StarPilot distribution as a file called 3-body-3.3b. Use the File->Open... menu to select and open the example file and then hit [Plot]. You should now see points A,B,C and EP displayed on the screen along with 2 intersecting circles of position.

The circles pull down list box is used to select the number of circles to display. For most situations where an accurate EP has been entered 2 should suffice. If an erroneous EP is entered or the EP is not known then 4 or 6 circles should be used. After hitting the [Plot] button you should see the following:

Moving the cursor to the crossing closest to the EP and click will place the selected position at the center of the screen and update the Fix Lat/Lon boxes on the dialog. The keys are used to zoom in and out to aid in the selection of the fix.

Pushing the [Update DR] button causes the fix to be stored in the Settings as the current DR position.

Two additional examples are included in the StarPilot distribution. 3-body-1.3b uses 3 points distributed on the vertices of an equilateral triangle with EP located "inside" the triangle. 3-body-2 is a worst case example of a slider.


PC Mode (Ephemeris Precision in PreCompute)

[S2] [6] PC Mode (Ephemeris Precision in PreCompute)

StarPilot has the option to "precompute" the Hc and Zn of celestial bodies for planning or analysis. Often we have a lot of these to do, but even if just a few are needed to find the body in the sky, for example, we do not need high precision results. Since all hand held devices are relatively slow in computation, we have added this option to expedite this type of planning.

There are two modes, Normal and High. For routine precomputations, use Normal. If you want highest precsion use High. For sun and stars there is essentially no difference in precision, between the two modes, but for the moon and planets, both the precision and time differences are significant. The default mode is Normal, so it is up to the user to switch this to High as needed.

Note that this option has no influence on the Sight Reduction function. That function always uses the High precision mode. These precision modes as well as the basis of the computatoins are discussed in the Appendix. The use of Precomute in general is discussed under [2] [4].